{{- $fullName := include "piveau-metrics-score.fullname" . -}}
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: {{ $fullName }}
  name: {{ $fullName }}
spec:
  selector:
    matchLabels:
      app: {{ $fullName }}
  strategy:
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: {{ $fullName }}
    spec:
      {{- if .Values.imagePullSecrets }}
      imagePullSecrets: {{ toYaml .Values.imagePullSecrets | nindent 8 }}
      {{- end }}
      containers:
        - name: {{ $fullName }}
          image: {{ printf "%s:%s" .Values.image .Values.imageTag }}
          imagePullPolicy: {{ .Values.imagePullPolicy }}
          ports:
            - containerPort: 8080
              name: default
          startupProbe:
            httpGet:
              path: /health
              port: default
            initialDelaySeconds: 10
            failureThreshold: 5
            periodSeconds: 10
          livenessProbe:
            httpGet:
              path: /health
              port: default
            failureThreshold: 1
            periodSeconds: 10
          {{- if .Values.resources }}
          resources: {{ toYaml .Values.resources | nindent 12 }}
          {{- end }}
          env:
            - name: JAVA_OPTS
              value: -XX:+ExitOnOutOfMemoryError {{ .Values.javaOpts }}
            {{- if .Values.extraEnvs }}
            {{- toYaml .Values.extraEnvs | nindent 12 }}
            {{- end }}